Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.BVSVDMethod

class slepc4py.SLEPc.BVSVDMethod

  Bases: `object`

  BV methods for computing the SVD.

  - `REFINE`: Based on the SVD of the cross product matrix \(S^H S\),

      with refinement.

  - `QR`: Based on the SVD of the triangular factor of qr(S).

  - `QR_CAA`: Variant of QR intended for use in communication-avoiding

      Arnoldi.

  Attributes Summary

  `QR` | Constant `QR` of type `int`
  `QR_CAA` | Constant `QR_CAA` of type `int`
  `REFINE` | Constant `REFINE` of type `int`

  Attributes Documentation

  QR: int = QR

    Constant `QR` of type `int`

  QR_CAA: int = QR_CAA

    Constant `QR_CAA` of type `int`

  REFINE: int = REFINE

    Constant `REFINE` of type `int`